package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class ExamDataBean implements JsonSerializable {

    /**
     * 
     */
    private static final long serialVersionUID = 3392394929374130898L;

    @ApiModelProperty(value = "考试名称")
    private Long rootOrgId;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "考试类型")
    private String examType;

    @ApiModelProperty(value = "考试开始时间")
    private Date examStartDate;

    @ApiModelProperty(value = "考试结束时间")
    private Date examEndDate;

    @ApiModelProperty(value = "在线人数")
    private Integer onlineCount;

    @ApiModelProperty(value = "计划人数")
    private Integer planCount;

    @ApiModelProperty(value = "完成人数")
    private Integer completeCount;

    @ApiModelProperty(value = "完成率")
    private Double completeRatio;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Date getExamStartDate() {
        return examStartDate;
    }

    public void setExamStartDate(Date examStartDate) {
        this.examStartDate = examStartDate;
    }

    public Date getExamEndDate() {
        return examEndDate;
    }

    public void setExamEndDate(Date examEndDate) {
        this.examEndDate = examEndDate;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }

    public Integer getPlanCount() {
        return planCount;
    }

    public void setPlanCount(Integer planCount) {
        this.planCount = planCount;
    }

    public Integer getCompleteCount() {
        return completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

    public Double getCompleteRatio() {
        return completeRatio;
    }

    public void setCompleteRatio(Double completeRatio) {
        this.completeRatio = completeRatio;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

}
