package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;

@Entity
@Table(name = "ec_r_student_cumulative_count", indexes = {
		@Index(name = "IDX_R_STUDENT_CUMULATIVE_COUNT_01", columnList = "rootOrgId,reportDay", unique = true),
		@Index(name = "IDX_R_STUDENT_CUMULATIVE_COUNT_02", columnList = "reportDay", unique = false)})
public class StudentCumulativeCountEntity extends IdEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = -7619316177918217328L;
	@NotNull
	private Long rootOrgId;
	@NotNull
	private Integer totalCount;
	@NotNull
	private String reportDay;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Integer getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}

	public String getReportDay() {
		return reportDay;
	}

	public void setReportDay(String reportDay) {
		this.reportDay = reportDay;
	}
	
	
}
